profile
viewpoint
Takashi M beatak San Francisco, CA Web Infrastructure at @ApartmentList. Before @Etsy, OkCupidLabs, @Meetup. New York transplant. JavaScript on VSCode. ITP alumnus.

beatak/jquery-imageloader 81

jQuery.imageloader helps you to load images not on page load, and gives you call back when it's all done.

beatak/ArgKit 2

command line arguments extension

beatak/beatak.github.com 2

Github related documents comes here?

beatak/es-promise-http 2

http with promise interface

beatak/algorithm-practice 1

It's an practice

beatak/boxless-form 1

a collection of form elements

beatak/experiment-log 1

probably entirely not useful for everybody

beatak/gol-backbone 1

Game of Life by using backbone. Mostly, just a learning material for myself.

beatak/history.js 1

History.js gracefully supports the HTML5 History/State APIs (pushState, replaceState, onPopState) in all browsers. Including continued support for data, titles, replaceState. Supports jQuery, MooTools and Prototype. For HTML5 browsers this means that you can modify the URL directly, without needing to use hashes anymore. For HTML4 browsers it will revert back to using the old onhashchange functionality.

beatak/hostmapper 1

configurable /etc/host file generator

fork Constellation/WebKit

Official git mirror of the WebKit repository, https://svn.webkit.org/repository/webkit, future canonical repository.

fork in 4 hours

fork Constellation/WebKit-1

Official git mirror of the WebKit repository, https://svn.webkit.org/repository/webkit, future canonical repository.

fork in 4 hours

PR opened docker-library/ruby

Add alpine 3.13 versions

Basically copied stuff over from 3.12 and bumped the minor version.

+527 -3

0 comment

6 changed files

pr created time in 13 hours

PR opened docker-library/ruby

Add alpine:3.13 images
  • skipping ruby 2.5 since it is EOL on 2021-03-31 (https://www.ruby-lang.org/en/downloads/branches/)
  • Drop alpine:3.11 on ruby 2.6 and 2.7; Only two versions of alpine are supported at a time
--- ../official-images/library/ruby	2020-12-28 14:50:53.718731054 -0800
+++ /dev/fd/63	2021-01-15 16:59:11.847058681 -0800
@@ -1,4 +1,4 @@
-# this file is generated via https://github.com/docker-library/ruby/blob/f5aa18521c3b73f92ae340d14dc9d24555d02f43/generate-stackbrew-library.sh
+# this file is generated via https://github.com/docker-library/ruby/blob/c74f5d9c029c86a3c015358edf1e165c497a7045/generate-stackbrew-library.sh
 
 Maintainers: Tianon Gravi <admwiggin@gmail.com> (@tianon),
              Joseph Ferguson <yosifkit@gmail.com> (@yosifkit)
@@ -14,7 +14,12 @@
 GitCommit: 921f2e68671461785e822aa437b68433278263b9
 Directory: 3.0/buster/slim
 
-Tags: 3.0.0-alpine3.12, 3.0-alpine3.12, 3-alpine3.12, alpine3.12, 3.0.0-alpine, 3.0-alpine, 3-alpine, alpine
+Tags: 3.0.0-alpine3.13, 3.0-alpine3.13, 3-alpine3.13, alpine3.13, 3.0.0-alpine, 3.0-alpine, 3-alpine, alpine
+Architectures: amd64, arm32v6, arm32v7, arm64v8, i386, ppc64le, s390x
+GitCommit: c74f5d9c029c86a3c015358edf1e165c497a7045
+Directory: 3.0/alpine3.13
+
+Tags: 3.0.0-alpine3.12, 3.0-alpine3.12, 3-alpine3.12, alpine3.12
 Architectures: amd64, arm32v6, arm32v7, arm64v8, i386, ppc64le, s390x
 GitCommit: 921f2e68671461785e822aa437b68433278263b9
 Directory: 3.0/alpine3.12
@@ -29,15 +34,15 @@
 GitCommit: 5a4e2d8d9fae6681ac3e2344eac547f0e2cdc598
 Directory: 2.7/buster/slim
 
-Tags: 2.7.2-alpine3.12, 2.7-alpine3.12, 2-alpine3.12, 2.7.2-alpine, 2.7-alpine, 2-alpine
+Tags: 2.7.2-alpine3.13, 2.7-alpine3.13, 2-alpine3.13, 2.7.2-alpine, 2.7-alpine, 2-alpine
 Architectures: amd64, arm32v6, arm32v7, arm64v8, i386, ppc64le, s390x
-GitCommit: 5a4e2d8d9fae6681ac3e2344eac547f0e2cdc598
-Directory: 2.7/alpine3.12
+GitCommit: c74f5d9c029c86a3c015358edf1e165c497a7045
+Directory: 2.7/alpine3.13
 
-Tags: 2.7.2-alpine3.11, 2.7-alpine3.11, 2-alpine3.11
+Tags: 2.7.2-alpine3.12, 2.7-alpine3.12, 2-alpine3.12
 Architectures: amd64, arm32v6, arm32v7, arm64v8, i386, ppc64le, s390x
 GitCommit: 5a4e2d8d9fae6681ac3e2344eac547f0e2cdc598
-Directory: 2.7/alpine3.11
+Directory: 2.7/alpine3.12
 
 Tags: 2.6.6-buster, 2.6-buster, 2.6.6, 2.6
 Architectures: amd64, arm32v5, arm32v7, arm64v8, i386, mips64le, ppc64le, s390x
@@ -59,15 +64,15 @@
 GitCommit: 8e49e25b591d4cfa6324b6dada4f16629a1e51ce
 Directory: 2.6/stretch/slim
 
-Tags: 2.6.6-alpine3.12, 2.6-alpine3.12, 2.6.6-alpine, 2.6-alpine
+Tags: 2.6.6-alpine3.13, 2.6-alpine3.13, 2.6.6-alpine, 2.6-alpine
 Architectures: amd64, arm32v6, arm32v7, arm64v8, i386, ppc64le, s390x
-GitCommit: 8e49e25b591d4cfa6324b6dada4f16629a1e51ce
-Directory: 2.6/alpine3.12
+GitCommit: c74f5d9c029c86a3c015358edf1e165c497a7045
+Directory: 2.6/alpine3.13
 
-Tags: 2.6.6-alpine3.11, 2.6-alpine3.11
+Tags: 2.6.6-alpine3.12, 2.6-alpine3.12
 Architectures: amd64, arm32v6, arm32v7, arm64v8, i386, ppc64le, s390x
 GitCommit: 8e49e25b591d4cfa6324b6dada4f16629a1e51ce
-Directory: 2.6/alpine3.11
+Directory: 2.6/alpine3.12
 
 Tags: 2.5.8-buster, 2.5-buster, 2.5.8, 2.5
 Architectures: amd64, arm32v5, arm32v7, arm64v8, i386, mips64le, ppc64le, s390x
+136 -6

0 comment

5 changed files

pr created time in 2 days

issue closedorisano/dlayer

Error installing with go get - tview - undefined: runewidth.ZeroWidthJoiner

go get github.com/orisano/dlayer
# github.com/rivo/tview
go/src/github.com/rivo/tview/util.go:56:2: undefined: runewidth.ZeroWidthJoiner

But the developer of the tview says that there shouldn't be any problem: https://github.com/rivo/tview/issues/548#issuecomment-760114495

I can see that in the dlayer code the tview version is also pinned in the master: https://github.com/orisano/dlayer/blob/master/go.mod#L10

So what's the correct way to install it with go?

closed time in 3 days

vainkop

issue commentorisano/dlayer

Error installing with go get - tview - undefined: runewidth.ZeroWidthJoiner

ok, thanks for reporting. please try to

GO111MODULE=on go get github.com/orisano/dlayer

It works. Thanks!

vainkop

comment created time in 3 days

issue commentorisano/dlayer

Error installing with go get - tview - undefined: runewidth.ZeroWidthJoiner

Ok, thanks for reporting. Please try to

GO111MODULE=on go get github.com/orisano/dlayer
vainkop

comment created time in 3 days

issue commentorisano/dlayer

Error installing with go get tview undefined: runewidth.ZeroWidthJoiner

Is it resolved?

Is it resolved?

No. Here's the correct one: https://github.com/orisano/dlayer/issues/6

valerii-globaldots

comment created time in 3 days

push eventorisano/dlayer

Nao Yonashiro

commit sha fd3c848a77acc8eb9fc67bdbbbba63ac7b4cafb6

chore: update install description

view details

push time in 3 days

issue closedorisano/dlayer

Error installing with go get - tview - undefined: runewidth.ZeroWidthJoiner

go get github.com/orisano/dlayer
# github.com/rivo/tview
go/src/github.com/rivo/tview/util.go:56:2: undefined: runewidth.ZeroWidthJoiner

But the developer of the tview says that there shouldn't be any problem: https://github.com/rivo/tview/issues/548#issuecomment-760114495

I can see that in the dlayer code the tview version is also pinned in the master: https://github.com/orisano/dlayer/blob/master/go.mod#L10

So what's the correct way to install it with go?

closed time in 3 days

vainkop

issue openedorisano/dlayer

Error installing with go get - tview - undefined: runewidth.ZeroWidthJoiner

go get github.com/orisano/dlayer
# github.com/rivo/tview
go/src/github.com/rivo/tview/util.go:56:2: undefined: runewidth.ZeroWidthJoiner

But the developer of the tview says that there shouldn't be any problem: https://github.com/rivo/tview/issues/548#issuecomment-760114495

I can see that in the dlayer code the tview version is also pinned in the master: https://github.com/orisano/dlayer/blob/master/go.mod#L10

So what's the correct way to install it with go?

created time in 3 days

issue openedorisano/dlayer

Error installing with go get - tview - undefined: runewidth.ZeroWidthJoiner

go get github.com/orisano/dlayer
# github.com/rivo/tview
go/src/github.com/rivo/tview/util.go:56:2: undefined: runewidth.ZeroWidthJoiner

But the developer of the tview says that there shouldn't be any problem: https://github.com/rivo/tview/issues/548#issuecomment-760114495

I can see that in the dlayer code the tview version is also pinned in the master: https://github.com/orisano/dlayer/blob/master/go.mod#L10

So what's the correct way to install it with go?

created time in 3 days

issue closedorisano/dlayer

Error installing with go get tview undefined: runewidth.ZeroWidthJoiner

go get github.com/orisano/dlayer
# github.com/rivo/tview
go/src/github.com/rivo/tview/util.go:56:2: undefined: runewidth.ZeroWidthJoiner

But the developer of the tview says that there shouldn't be any problem: https://github.com/rivo/tview/issues/548#issuecomment-760114495

I can see that in the dlayer code the tview version is also pinned in the master: https://github.com/orisano/dlayer/blob/master/go.mod#L10

So what's the correct way to install it with go?

closed time in 3 days

valerii-globaldots

issue openedorisano/dlayer

Error installing with go get tview undefined: runewidth.ZeroWidthJoiner

go get github.com/orisano/dlayer
# github.com/rivo/tview
go/src/github.com/rivo/tview/util.go:56:2: undefined: runewidth.ZeroWidthJoiner

But the developer of the tview says that there shouldn't be any problem: https://github.com/rivo/tview/issues/548#issuecomment-760114495

I can see that in the dlayer code the tview version is also pinned in the master: https://github.com/orisano/dlayer/blob/master/go.mod#L10

So what's the correct way to install it with go?

created time in 3 days

issue commentdocker-library/ruby

Block the installation of Debian's Ruby packages

I agree that it's not very common. I only spotted it here/here.

J0WI

comment created time in 3 days

issue commentdocker-library/ruby

Block the installation of Debian's Ruby packages

This is somewhat reasonable, but I worry that we're solving a problem that doesn't appear to be as common as it does in the PHP community?

In the PHP case, we added that specifically because we kept getting reports of and seeing users installing php-foo and expecting that it would somehow work -- we don't see very many similar reports in the Ruby community (probably because installing Ruby extensions is generally more straightforward vs the hackery we did with docker-php-ext-* in the PHP world due to limitations in how PHP itself is developed).

J0WI

comment created time in 3 days

pull request commentmike-bowles/hdDeepLearningStudy

Update README.md

Looks good, nice if you could just have the title embedded into a URL link. E.g., Deep nets are ensembles.

Please see Reference link.

deepjijhuvadia

comment created time in 3 days

created repositoryreplit/example-repltweet

An example of using replit-py for exploring the world of web applications! 🗺

created time in 3 days

created repositoryreplit/example-repltweet

An example application for using replit-py for building web apps! 👩🏻‍💻

created time in 3 days

fork fitzgen/wizer

The WebAssembly Pre-Initializer

fork in 3 days

issue openeddocker-library/ruby

Block the installation of Debian's Ruby packages

Similar to https://github.com/docker-library/php/pull/542

created time in 4 days

startedzevv/zForth

started time in 4 days

startedeagletmt/aws-lambda-rie-gateway

started time in 4 days

PublicEvent

startedpmndrs/react-three-a11y

started time in 5 days

startedaaronabramov/k9

started time in 6 days

startedhmans/three-elements

started time in 8 days

created repositorymlc/all-words-app

app for https://words.oulipo.link/

created time in 8 days

more